Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.

Bug 990037

Summary: Modification suggested to use the uberfire navigation toolbar for objects selection
Product: [JBoss] JBoss BPMS Platform 6 Reporter: Walter Medvedeo <wmedvede>
Component: Data ModelerAssignee: Walter Medvedeo <wmedvede>
Status: VERIFIED --- QA Contact: Jan Hrcek <jhrcek>
Severity: low Docs Contact:
Priority: low    
Version: 6.0.0CC: atangrin, mbaluch, pzapataf, rrajasek
Target Milestone: ER3   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugzilla.redhat.com/show_bug.cgi?id=1006590
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: Feature Request
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 988859    
Attachments:
Description Flags
New layout for dataobjects edition none

Description Walter Medvedeo 2013-07-30 05:44:55 EDT
Created attachment 780480 [details]
New layout for dataobjects edition

A change proposal was made during product demonstration to management team, in order adapt current datamodeler layout too use the navigation bar provided by uberfire.

The change involves to adapt current functionality to manage data objects one by one.
When the user cliks to a data object in the navigation bar, a new editor window will be opended to "edit" the selected data object. (see attached image)
If the user clikcs on more than one file, N edition windows will be opened.

The attached image "DataModelerChangeProposal.jpg" shows the new suggested layout for one by one edition.
Comment 2 Pedro Zapata 2013-08-26 10:11:02 EDT
This is an improvement targeted for version 6.1
Comment 3 Walter Medvedeo 2014-11-10 05:22:55 EST
The feature was implemented for both 6.2.x community and 6.1.0.CR GA releases
Comment 4 Jan Hrcek 2015-01-09 06:47:56 EST
This feature is present in BPM Suite 6.1.0 ER3 and Data modeler tests were updated to accommodate it.